Subject: Re: Early boot problem with MPC8247 and Linux 2.6.26

From: Scott Wood <[email-masked]>
Date: Thu, 28 Aug 2008 12:57:06 -0500

Chris Skepper wrote:
> Thanks so much for your help so far.  I was able to find out this 
> address from the bootloader and get some output on the early debug 
> console which was very pleasing.  It now gets as far as console_init() 
> called from init/main.c, which completes but then any printk seems to 
> stall it and you get no more output.
> 
> I am using SMC1 and have this in the DTS file for the linux,stdout-path:
> 
> serial@11a80 {
>     device_type = "serial";
>     compatible = "fsl,mpc8247-smc-uart",
>                 "fsl,cpm2-smc-uart";
>     reg = <0x11a80 0x20 0x87fc 2>;
>     interrupts = <4 8>;
>     interrupt-parent = <&PIC>;
>     fsl,cpm-brg = <7>;
>     fsl,cpm-command = <0x1d000000>;
> };
> 
> Any ideas what sorts of things I should check next?

Check the BRG frequency (clock-frequency in the brg node), and the baud 
rate that the driver is trying to set.  As a quick check, you can 
disable calls to cpm2_setbrg() to see if that's the problem.

-Scott